'use strict';

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _babelCore = require('babel-core');

var _babelPluginAxiom = require('./babel-plugin-axiom');

var _babelPluginAxiom2 = _interopRequireDefault(_babelPluginAxiom);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getFile = function getFile(test, type) {
  return _path2.default.resolve(__dirname, '../test_fixtures/' + test + '_' + type + '.js');
};
var getActualFile = function getActualFile(test) {
  return getFile(test, 'actual');
};
var getExpectedFile = function getExpectedFile(test) {
  return _fs2.default.readFileSync(getFile(test, 'expected')).toString().trim();
};

describe('babelPluginAxiom', function () {
  test('aliased imports', function () {
    expect((0, _babelCore.transformFileSync)(getActualFile('alias'), {
      plugins: [_babelPluginAxiom2.default]
    }).code).toBe(getExpectedFile('alias'));
  });

  test('destructured imports', function () {
    expect((0, _babelCore.transformFileSync)(getActualFile('destructure'), {
      plugins: [_babelPluginAxiom2.default]
    }).code).toBe(getExpectedFile('destructure'));
  });

  test('scoped imports', function () {
    expect((0, _babelCore.transformFileSync)(getActualFile('scoped'), {
      plugins: [_babelPluginAxiom2.default]
    }).code).toBe(getExpectedFile('scoped'));
  });
});