'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _module = require('module');

var _module2 = _interopRequireDefault(_module);

var _babylon = require('babylon');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _axiomPath = _path2.default.dirname(_module2.default._resolveFilename('bw-axiom', Object.assign({}, new _module2.default(), {
  'paths': _module2.default._nodeModulePaths(process.cwd())
})));

var axiomPath = _axiomPath.slice(0, _axiomPath.lastIndexOf('bw-axiom') + 'bw-axiom'.length);
var indexFile = _fs2.default.readFileSync(axiomPath + '/src/index.js', 'utf8');
var exportsList = (0, _babylon.parse)(indexFile, { sourceType: 'module' }).program.body.reduce(function (exprts, exprt) {
  return Object.assign({}, exprts, exprt.specifiers.reduce(function (specs, spec) {
    return Object.assign({}, specs, _defineProperty({}, spec.exported.name, _path2.default.join('bw-axiom/lib', exprt.source.value)));
  }, {}));
}, {});

exports.default = function (name) {
  if (exportsList[name]) {
    return exportsList[name];
  }

  throw new Error('Axiom export: ' + name + ' was not found.');
};